Skip to main content
POST
/
firework
/
v4
/
matching_policies
Create Matching Policy
curl --request POST \
  --url https://api.flare.io/firework/v4/matching_policies \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "type": "<string>",
  "value": {
    "keywords": [
      "<string>"
    ]
  }
}
'
{
  "uuid": "<string>",
  "name": "<string>",
  "policy_type": "INCLUDED_KEYWORDS",
  "value": {
    "keywords": [
      "<string>"
    ]
  },
  "created_at": "2023-11-07T05:31:56Z",
  "last_updated_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://api.docs.flare.io/llms.txt

Use this file to discover all available pages before exploring further.

The endpoint is still in beta and is subject to change.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The name of the matching policy

type
string
required
Allowed value: "INCLUDED_KEYWORDS"
value
KeywordsValue · object
required

The value of the matching policy in the form of keywords

Response

Successful Response

uuid
string<uuid4>
required

The UUID of the matching policy

name
string
required

The name of the matching policy

policy_type
enum<string>
required

The type of the matching policy

Available options:
INCLUDED_KEYWORDS,
EXCLUDED_KEYWORDS,
LUCENE_QUERY,
ASTP_COOKIES
value
KeywordsValue · object
required

The value of the matching policy depending on its type

created_at
string<date-time>
required

The date and time the matching policy was created

last_updated_at
string<date-time>
required

The date and time the matching policy was last updated